<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: postgresInterface.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('postgres_interface_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">postgresInterface.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;pqxx/pqxx&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/kvp.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/helpers.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/types.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/stdx/string_view.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/json.hpp&gt;</code><br />
<code>#include &lt;mongocxx/client.hpp&gt;</code><br />
<code>#include &lt;mongocxx/instance.hpp&gt;</code><br />
<code>#include &lt;mongocxx/uri.hpp&gt;</code><br />
<code>#include &lt;cstdlib&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;unistd.h&gt;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;set&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;bsoncxx/document/value.hpp&gt;</code><br />
<code>#include &lt;sys/types.h&gt;</code><br />
<code>#include &lt;dirent.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for postgresInterface.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp__incl.png" border="0" usemap="#postgres_interface_8hpp" alt=""/></div>
<map name="postgres_interface_8hpp" id="postgres_interface_8hpp">
<area shape="rect" title=" " alt="" coords="2277,5,2441,32"/>
<area shape="rect" title=" " alt="" coords="5,87,96,114"/>
<area shape="rect" title=" " alt="" coords="120,80,283,121"/>
<area shape="rect" title=" " alt="" coords="307,80,469,121"/>
<area shape="rect" title=" " alt="" coords="493,80,656,121"/>
<area shape="rect" title=" " alt="" coords="681,80,855,121"/>
<area shape="rect" title=" " alt="" coords="879,80,1054,121"/>
<area shape="rect" title=" " alt="" coords="1078,80,1253,121"/>
<area shape="rect" title=" " alt="" coords="1277,87,1421,114"/>
<area shape="rect" title=" " alt="" coords="1445,80,1595,121"/>
<area shape="rect" title=" " alt="" coords="1619,87,1754,114"/>
<area shape="rect" title=" " alt="" coords="1778,87,1937,114"/>
<area shape="rect" title=" " alt="" coords="1961,87,2138,114"/>
<area shape="rect" title=" " alt="" coords="2163,87,2301,114"/>
<area shape="rect" title=" " alt="" coords="2326,87,2391,114"/>
<area shape="rect" title=" " alt="" coords="2416,87,2483,114"/>
<area shape="rect" title=" " alt="" coords="2507,87,2581,114"/>
<area shape="rect" title=" " alt="" coords="2605,87,2685,114"/>
<area shape="rect" title=" " alt="" coords="2709,87,2784,114"/>
<area shape="rect" title=" " alt="" coords="2808,87,2883,114"/>
<area shape="rect" title=" " alt="" coords="2907,87,2992,114"/>
<area shape="rect" title=" " alt="" coords="3016,87,3059,114"/>
<area shape="rect" title=" " alt="" coords="3083,87,3141,114"/>
<area shape="rect" title=" " alt="" coords="3166,87,3290,114"/>
<area shape="rect" title=" " alt="" coords="3314,87,3377,114"/>
<area shape="rect" title=" " alt="" coords="3401,87,3615,114"/>
<area shape="rect" title=" " alt="" coords="3639,87,3735,114"/>
<area shape="rect" title=" " alt="" coords="3759,87,3831,114"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp__dep__incl.png" border="0" usemap="#postgres_interface_8hppdep" alt=""/></div>
<map name="postgres_interface_8hppdep" id="postgres_interface_8hppdep">
<area shape="rect" title=" " alt="" coords="282,5,446,32"/>
<area shape="rect" href="create_recursive_funct_matchers_8hpp.html" title=" " alt="" coords="5,80,256,107"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html" title=" " alt="" coords="290,155,438,196"/>
<area shape="rect" href="get_decl_context_and_decls_8hpp.html" title=" " alt="" coords="330,80,542,107"/>
<area shape="rect" href="get_function_decls_as_o_s_processes_8hpp.html" title=" " alt="" coords="565,80,827,107"/>
</map>
</div>
</div>
<p><a href="postgres_interface_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_matched_item__type.html">MatchedItem_type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:aa3c1001c4eb1a1aa685ba65afba32207"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#aa3c1001c4eb1a1aa685ba65afba32207">matchType</a></td></tr>
<tr class="separator:aa3c1001c4eb1a1aa685ba65afba32207"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a32365e377c80c8e22cf61b4f94ae1b02"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#a32365e377c80c8e22cf61b4f94ae1b02">isNumber</a> (const string &amp;str)</td></tr>
<tr class="separator:a32365e377c80c8e22cf61b4f94ae1b02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93a897241339ada0d6a3676765ae1d21"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21">insertOneIntoCollection</a> (std::string dbName, std::string table, std::string column, bsoncxx::document::value doc_val)</td></tr>
<tr class="separator:a93a897241339ada0d6a3676765ae1d21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04ff0f05467fdbf12c44aee405f98832"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#a04ff0f05467fdbf12c44aee405f98832">updateOneInDocument</a> (std::string dbName, std::string tableName, std::string columnName, std::string elementName, std::string value, std::string compareValue=&quot;&quot;)</td></tr>
<tr class="separator:a04ff0f05467fdbf12c44aee405f98832"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22bf88c65162eca678164da7ba7536d6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#a22bf88c65162eca678164da7ba7536d6">updateOneArrayInDocument</a> (std::string dbName, std::string tableName, std::string columnName, std::string elementName, std::vector&lt; std::string &gt; value_vec)</td></tr>
<tr class="separator:a22bf88c65162eca678164da7ba7536d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92b4b934ee79ac703b6db4b5f260c18d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#a92b4b934ee79ac703b6db4b5f260c18d">findItemInCollection</a> (std::string dbName, std::string table, std::string coll, std::string property, std::string item)</td></tr>
<tr class="separator:a92b4b934ee79ac703b6db4b5f260c18d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0231ce735528de5cc4fbe68da76bfc33"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#a0231ce735528de5cc4fbe68da76bfc33">getPropertyAccJSONPath</a> (std::string dbName, std::string table, std::string collumn, std::string value, std::vector&lt; std::string &gt; property=std::vector&lt; std::string &gt;())</td></tr>
<tr class="separator:a0231ce735528de5cc4fbe68da76bfc33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d86e63a743b67cf37de4be135ecc87d"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#a1d86e63a743b67cf37de4be135ecc87d">getMatchedItemVectorFromMongoDB</a> (std::string dbName, std::string table, std::string column, <a class="el" href="struct_matched_item__type.html">MatchedItem_type</a> match_strct)</td></tr>
<tr class="separator:a1d86e63a743b67cf37de4be135ecc87d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05c138142fb11ee473b34d27512a3f7e"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#a05c138142fb11ee473b34d27512a3f7e">getStringVectorFromJsonArray</a> (std::string dbName, std::string table, std::string collumn, std::string arrayKey, std::vector&lt; std::string &gt; property, std::string jsonKey)</td></tr>
<tr class="separator:a05c138142fb11ee473b34d27512a3f7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d1bfcadece56ec9ead10adf37583c6c"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#a7d1bfcadece56ec9ead10adf37583c6c">getJsonColAsTextAtId</a> (std::string dbName, std::string table, std::string collumn, std::string cond_col, std::string cond_val)</td></tr>
<tr class="separator:a7d1bfcadece56ec9ead10adf37583c6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb99b0e2add80b662e70fc70543569d8"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#abb99b0e2add80b662e70fc70543569d8">getStringVectorFromJsonObj</a> (std::string dbName, std::string table, std::string collumn, std::vector&lt; std::string &gt; property=std::vector&lt; std::string &gt;())</td></tr>
<tr class="separator:abb99b0e2add80b662e70fc70543569d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ca537dcf4e9574d8db3d2794d5ffb4c"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#a7ca537dcf4e9574d8db3d2794d5ffb4c">deleteCompleteTable</a> (std::string dbName, std::string table)</td></tr>
<tr class="separator:a7ca537dcf4e9574d8db3d2794d5ffb4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a952e42de50e86fdd1ac069a8acf991e1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1">createPgTables</a> (std::string table_name, std::string column_name)</td></tr>
<tr class="separator:a952e42de50e86fdd1ac069a8acf991e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23641ff228bc4a84c18a7ae15c42ed77"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77">genericQuery</a> (std::string dbName, std::string query)</td></tr>
<tr class="separator:a23641ff228bc4a84c18a7ae15c42ed77"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ac88c2c0d8611af8462fbb3d73bc4dc5e"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="postgres_interface_8hpp.html#ac88c2c0d8611af8462fbb3d73bc4dc5e">glbUri</a> = &quot;postgresql://ThermBaseAlgebraic:thermo@db/&quot;</td></tr>
<tr class="separator:ac88c2c0d8611af8462fbb3d73bc4dc5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="aa3c1001c4eb1a1aa685ba65afba32207"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3c1001c4eb1a1aa685ba65afba32207">&#9670;&nbsp;</a></span>matchType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define matchType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a952e42de50e86fdd1ac069a8acf991e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a952e42de50e86fdd1ac069a8acf991e1">&#9670;&nbsp;</a></span>createPgTables()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int createPgTables </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>table_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>column_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp_a952e42de50e86fdd1ac069a8acf991e1_cgraph.png" border="0" usemap="#postgres_interface_8hpp_a952e42de50e86fdd1ac069a8acf991e1_cgraph" alt=""/></div>
<map name="postgres_interface_8hpp_a952e42de50e86fdd1ac069a8acf991e1_cgraph" id="postgres_interface_8hpp_a952e42de50e86fdd1ac069a8acf991e1_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,125,32"/>
<area shape="rect" href="postgres_interface_8hpp.html#a7ca537dcf4e9574d8db3d2794d5ffb4c" title=" " alt="" coords="173,5,333,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp_a952e42de50e86fdd1ac069a8acf991e1_icgraph.png" border="0" usemap="#postgres_interface_8hpp_a952e42de50e86fdd1ac069a8acf991e1_icgraph" alt=""/></div>
<map name="postgres_interface_8hpp_a952e42de50e86fdd1ac069a8acf991e1_icgraph" id="postgres_interface_8hpp_a952e42de50e86fdd1ac069a8acf991e1_icgraph">
<area shape="rect" title=" " alt="" coords="564,183,684,209"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a36265cf4692fcc20b3f825cfa3a9250a" title=" " alt="" coords="329,5,508,32"/>
<area shape="rect" href="create_interface_variables_8hpp.html#a58ada5d29f5277d893e7c34d77b04688" title=" " alt="" coords="328,56,509,83"/>
<area shape="rect" href="create_system_consts_8hpp.html#a5bb7ea22049580df89596ee335e73ece" title=" " alt="" coords="344,107,493,133"/>
<area shape="rect" href="create_compu_methods_8hpp.html#af75030a42fda96040064e95d5c9371ce" title=" " alt="" coords="367,157,471,184"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a41eefa0f417a930ad5a27102a9575fef" title=" " alt="" coords="338,208,499,235"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,309,60,336"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7" title=" " alt="" coords="339,259,498,285"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="321,309,516,336"/>
<area shape="rect" href="create_compu_methods_8hpp.html#aafd99697405004efe0b96d53547791d5" title=" " alt="" coords="108,157,273,184"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="165,284,216,311"/>
</map>
</div>

</div>
</div>
<a id="a7ca537dcf4e9574d8db3d2794d5ffb4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ca537dcf4e9574d8db3d2794d5ffb4c">&#9670;&nbsp;</a></span>deleteCompleteTable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned deleteCompleteTable </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>dbName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>table</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp_a7ca537dcf4e9574d8db3d2794d5ffb4c_icgraph.png" border="0" usemap="#postgres_interface_8hpp_a7ca537dcf4e9574d8db3d2794d5ffb4c_icgraph" alt=""/></div>
<map name="postgres_interface_8hpp_a7ca537dcf4e9574d8db3d2794d5ffb4c_icgraph" id="postgres_interface_8hpp_a7ca537dcf4e9574d8db3d2794d5ffb4c_icgraph">
<area shape="rect" title=" " alt="" coords="732,183,892,209"/>
<area shape="rect" href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1" title=" " alt="" coords="564,183,684,209"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a36265cf4692fcc20b3f825cfa3a9250a" title=" " alt="" coords="329,5,508,32"/>
<area shape="rect" href="create_interface_variables_8hpp.html#a58ada5d29f5277d893e7c34d77b04688" title=" " alt="" coords="328,56,509,83"/>
<area shape="rect" href="create_system_consts_8hpp.html#a5bb7ea22049580df89596ee335e73ece" title=" " alt="" coords="344,107,493,133"/>
<area shape="rect" href="create_compu_methods_8hpp.html#af75030a42fda96040064e95d5c9371ce" title=" " alt="" coords="367,157,471,184"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a41eefa0f417a930ad5a27102a9575fef" title=" " alt="" coords="338,208,499,235"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,309,60,336"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7" title=" " alt="" coords="339,259,498,285"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="321,309,516,336"/>
<area shape="rect" href="create_compu_methods_8hpp.html#aafd99697405004efe0b96d53547791d5" title=" " alt="" coords="108,157,273,184"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="165,284,216,311"/>
</map>
</div>

</div>
</div>
<a id="a92b4b934ee79ac703b6db4b5f260c18d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92b4b934ee79ac703b6db4b5f260c18d">&#9670;&nbsp;</a></span>findItemInCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool findItemInCollection </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>dbName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>coll</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp_a92b4b934ee79ac703b6db4b5f260c18d_icgraph.png" border="0" usemap="#postgres_interface_8hpp_a92b4b934ee79ac703b6db4b5f260c18d_icgraph" alt=""/></div>
<map name="postgres_interface_8hpp_a92b4b934ee79ac703b6db4b5f260c18d_icgraph" id="postgres_interface_8hpp_a92b4b934ee79ac703b6db4b5f260c18d_icgraph">
<area shape="rect" title=" " alt="" coords="215,31,368,57"/>
<area shape="rect" href="_process_location_8h.html#a9d742bd3bdcdb084d4f8c0b909d491a6" title=" " alt="" coords="6,5,166,32"/>
<area shape="rect" href="_process_location_8h.html#a9adc45180914eee887ec4d625c6b524a" title=" " alt="" coords="5,56,167,83"/>
</map>
</div>

</div>
</div>
<a id="a23641ff228bc4a84c18a7ae15c42ed77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23641ff228bc4a84c18a7ae15c42ed77">&#9670;&nbsp;</a></span>genericQuery()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;std::string&gt; &gt; genericQuery </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>dbName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>query</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp_a23641ff228bc4a84c18a7ae15c42ed77_icgraph.png" border="0" usemap="#postgres_interface_8hpp_a23641ff228bc4a84c18a7ae15c42ed77_icgraph" alt=""/></div>
<map name="postgres_interface_8hpp_a23641ff228bc4a84c18a7ae15c42ed77_icgraph" id="postgres_interface_8hpp_a23641ff228bc4a84c18a7ae15c42ed77_icgraph">
<area shape="rect" title=" " alt="" coords="1952,1208,2061,1235"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1729,651,1865,677"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1244,321,1364,348"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="201,727,311,753"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="390,701,590,728"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="437,205,543,232"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3" title=" " alt="" coords="1449,1005,1641,1032"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="1207,1081,1401,1108"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="1055,1081,1105,1108"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a36265cf4692fcc20b3f825cfa3a9250a" title=" " alt="" coords="1215,1233,1393,1260"/>
<area shape="rect" href="create_compu_methods_8hpp.html#aafd99697405004efe0b96d53547791d5" title=" " alt="" coords="1221,1487,1387,1513"/>
<area shape="rect" href="create_interface_variables_8hpp.html#a58ada5d29f5277d893e7c34d77b04688" title=" " alt="" coords="1213,1639,1395,1665"/>
<area shape="rect" href="create_recursive_funct_matchers_8hpp.html#ad6c6ed9a638cba79704c0ef16090bf30" title=" " alt="" coords="1469,929,1621,956"/>
<area shape="rect" href="create_system_consts_8hpp.html#a5bb7ea22049580df89596ee335e73ece" title=" " alt="" coords="1229,1727,1379,1753"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="1455,1107,1636,1133"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a41eefa0f417a930ad5a27102a9575fef" title=" " alt="" coords="1223,1803,1385,1829"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ad77b740e08a4a6039c34dbae36b9b0e0" title=" " alt="" coords="1710,1309,1883,1336"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a5e9f4f440a915c7a9fd4764a39c9b4ce" title=" " alt="" coords="1710,1360,1883,1387"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a427dfa1149119db1a5ed52bb1da8030d" title=" " alt="" coords="1727,1411,1866,1437"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7" title=" " alt="" coords="1466,865,1625,892"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#aee9904a1a912e7f57e57408a6c686aef" title="End evaluation loop for SW VARIABLE object." alt="" coords="1742,1157,1851,1184"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#abc7ed3956e838556863e1cfb56c6a800" title=" " alt="" coords="1689,1005,1904,1032"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668" title=" " alt="" coords="1735,1563,1859,1589"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a9dc59b558637380f682fc73799d91012" title=" " alt="" coords="1486,1259,1605,1285"/>
<area shape="rect" href="create_compu_methods_8hpp.html#a6ea9968349d2f118e5a10ac6ac3acb72" title=" " alt="" coords="1469,1512,1621,1539"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae62f4ee8f8889d1dd6ad45a8ec04cdc3" title=" " alt="" coords="1480,1613,1611,1640"/>
<area shape="rect" href="create_system_consts_8hpp.html#a75e7bf913eb2009732091592cacf2f94" title=" " alt="" coords="1477,1715,1613,1741"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1739,701,1855,728"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="1495,651,1595,677"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="1001,499,1159,525"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="1028,296,1132,323"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="1032,347,1128,373"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="1015,144,1145,171"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="1037,195,1123,221"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="1013,245,1147,272"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="833,499,937,525"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="649,549,759,576"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="5,237,123,264"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="421,483,559,509"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="415,651,565,677"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="389,534,591,575"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="201,483,311,509"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="171,432,341,459"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="817,205,953,232"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="663,205,745,232"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="639,277,769,304"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="858,1081,913,1108"/>
</map>
</div>

</div>
</div>
<a id="a7d1bfcadece56ec9ead10adf37583c6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d1bfcadece56ec9ead10adf37583c6c">&#9670;&nbsp;</a></span>getJsonColAsTextAtId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;std::string&gt; &gt; getJsonColAsTextAtId </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>dbName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>collumn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>cond_col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>cond_val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d86e63a743b67cf37de4be135ecc87d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d86e63a743b67cf37de4be135ecc87d">&#9670;&nbsp;</a></span>getMatchedItemVectorFromMongoDB()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;std::string&gt; &gt; getMatchedItemVectorFromMongoDB </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>dbName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>column</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_matched_item__type.html">MatchedItem_type</a>&#160;</td>
          <td class="paramname"><em>match_strct</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0231ce735528de5cc4fbe68da76bfc33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0231ce735528de5cc4fbe68da76bfc33">&#9670;&nbsp;</a></span>getPropertyAccJSONPath()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;std::string&gt; &gt; getPropertyAccJSONPath </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>dbName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>collumn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt;&#160;</td>
          <td class="paramname"><em>property</em> = <code>std::vector&lt;std::string&gt;()</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp_a0231ce735528de5cc4fbe68da76bfc33_cgraph.png" border="0" usemap="#postgres_interface_8hpp_a0231ce735528de5cc4fbe68da76bfc33_cgraph" alt=""/></div>
<map name="postgres_interface_8hpp_a0231ce735528de5cc4fbe68da76bfc33_cgraph" id="postgres_interface_8hpp_a0231ce735528de5cc4fbe68da76bfc33_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,187,32"/>
<area shape="rect" href="postgres_interface_8hpp.html#a32365e377c80c8e22cf61b4f94ae1b02" title=" " alt="" coords="235,5,320,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp_a0231ce735528de5cc4fbe68da76bfc33_icgraph.png" border="0" usemap="#postgres_interface_8hpp_a0231ce735528de5cc4fbe68da76bfc33_icgraph" alt=""/></div>
<map name="postgres_interface_8hpp_a0231ce735528de5cc4fbe68da76bfc33_icgraph" id="postgres_interface_8hpp_a0231ce735528de5cc4fbe68da76bfc33_icgraph">
<area shape="rect" title=" " alt="" coords="287,5,468,32"/>
<area shape="rect" href="get_function_decls_as_o_s_processes_8hpp.html#af93a1ddcec5d4ca2913cf173c0948310" title=" " alt="" coords="5,5,239,32"/>
</map>
</div>

</div>
</div>
<a id="a05c138142fb11ee473b34d27512a3f7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05c138142fb11ee473b34d27512a3f7e">&#9670;&nbsp;</a></span>getStringVectorFromJsonArray()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;std::string&gt; &gt; getStringVectorFromJsonArray </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>dbName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>collumn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>arrayKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt;&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>jsonKey</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp_a05c138142fb11ee473b34d27512a3f7e_icgraph.png" border="0" usemap="#postgres_interface_8hpp_a05c138142fb11ee473b34d27512a3f7e_icgraph" alt=""/></div>
<map name="postgres_interface_8hpp_a05c138142fb11ee473b34d27512a3f7e_icgraph" id="postgres_interface_8hpp_a05c138142fb11ee473b34d27512a3f7e_icgraph">
<area shape="rect" title=" " alt="" coords="287,5,504,32"/>
<area shape="rect" href="get_function_decls_as_o_s_processes_8hpp.html#af93a1ddcec5d4ca2913cf173c0948310" title=" " alt="" coords="5,5,239,32"/>
</map>
</div>

</div>
</div>
<a id="abb99b0e2add80b662e70fc70543569d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb99b0e2add80b662e70fc70543569d8">&#9670;&nbsp;</a></span>getStringVectorFromJsonObj()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;std::string&gt; &gt; getStringVectorFromJsonObj </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>dbName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>collumn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt;&#160;</td>
          <td class="paramname"><em>property</em> = <code>std::vector&lt;std::string&gt;()</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp_abb99b0e2add80b662e70fc70543569d8_icgraph.png" border="0" usemap="#postgres_interface_8hpp_abb99b0e2add80b662e70fc70543569d8_icgraph" alt=""/></div>
<map name="postgres_interface_8hpp_abb99b0e2add80b662e70fc70543569d8_icgraph" id="postgres_interface_8hpp_abb99b0e2add80b662e70fc70543569d8_icgraph">
<area shape="rect" title=" " alt="" coords="389,81,593,108"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a6f7bdad1724b71001c5dd5c9b6d989bd" title=" " alt="" coords="125,5,324,32"/>
<area shape="rect" href="get_function_decls_as_o_s_processes_8hpp.html#af93a1ddcec5d4ca2913cf173c0948310" title=" " alt="" coords="108,56,341,83"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="199,107,250,133"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,132,60,159"/>
</map>
</div>

</div>
</div>
<a id="a93a897241339ada0d6a3676765ae1d21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93a897241339ada0d6a3676765ae1d21">&#9670;&nbsp;</a></span>insertOneIntoCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool insertOneIntoCollection </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>dbName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>column</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bsoncxx::document::value&#160;</td>
          <td class="paramname"><em>doc_val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp_a93a897241339ada0d6a3676765ae1d21_icgraph.png" border="0" usemap="#postgres_interface_8hpp_a93a897241339ada0d6a3676765ae1d21_icgraph" alt=""/></div>
<map name="postgres_interface_8hpp_a93a897241339ada0d6a3676765ae1d21_icgraph" id="postgres_interface_8hpp_a93a897241339ada0d6a3676765ae1d21_icgraph">
<area shape="rect" title=" " alt="" coords="1892,701,2067,728"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1663,397,1799,424"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1183,347,1303,373"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="171,473,281,500"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="329,600,529,627"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="602,144,683,171"/>
<area shape="rect" href="get_decl_context_and_decls_8hpp.html#a9b9ebe7f7dd94f8bb96645bb25aca52a" title=" " alt="" coords="1637,651,1824,677"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a3a607a94b734cf0e9d611120a0e5d379" title=" " alt="" coords="1644,803,1817,829"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="797,739,851,765"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#afb7c816e51c783a8b234ad6e2e22e7e7" title=" " alt="" coords="1653,853,1808,880"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a6f1279cdeb2de73176b7a0cacd05d5ba" title=" " alt="" coords="1667,752,1795,779"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#ae3a60ce3a4581e591ed706a2f8b5161b" title=" " alt="" coords="1661,904,1801,931"/>
<area shape="rect" href="_process_location_8h.html#a17c3624a1862686ac638649a89317f63" title=" " alt="" coords="1617,955,1844,981"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a56f969b573c27479f1190d09f13cfc69" title=" " alt="" coords="1668,1005,1793,1032"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668" title=" " alt="" coords="1669,1107,1793,1133"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1673,499,1789,525"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="1429,499,1529,525"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="940,397,1097,424"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="967,296,1071,323"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="971,93,1067,120"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="953,144,1084,171"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="975,195,1062,221"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="952,245,1085,272"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="772,347,876,373"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="587,397,698,424"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="5,220,123,247"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="360,347,499,373"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="354,296,505,323"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="171,549,281,576"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="756,195,892,221"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="377,119,482,145"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="577,93,708,120"/>
<area shape="rect" href="get_decl_context_and_decls_8hpp.html#ad5225c13865a8caf8ec3c6077818d62a" title=" " alt="" coords="1409,651,1548,677"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="1388,803,1569,829"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="1145,803,1340,829"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="993,777,1044,804"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7" title=" " alt="" coords="1163,853,1322,880"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a41eefa0f417a930ad5a27102a9575fef" title=" " alt="" coords="1398,752,1559,779"/>
<area shape="rect" href="_process_location_8h.html#a5ef3bed3f74a33ac993347585572548c" title=" " alt="" coords="1397,947,1560,989"/>
<area shape="rect" href="_process_location_8h.html#a9d742bd3bdcdb084d4f8c0b909d491a6" title=" " alt="" coords="1163,955,1323,981"/>
<area shape="rect" href="_process_location_8h.html#a92f4e70e7681af4625b590e79d1a935c" title=" " alt="" coords="1161,1005,1324,1032"/>
<area shape="rect" href="_process_location_8h.html#a9adc45180914eee887ec4d625c6b524a" title=" " alt="" coords="1162,904,1323,931"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a9dc59b558637380f682fc73799d91012" title=" " alt="" coords="1419,1056,1538,1083"/>
<area shape="rect" href="create_compu_methods_8hpp.html#a6ea9968349d2f118e5a10ac6ac3acb72" title=" " alt="" coords="1403,1107,1555,1133"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae62f4ee8f8889d1dd6ad45a8ec04cdc3" title=" " alt="" coords="1413,1157,1544,1184"/>
<area shape="rect" href="create_system_consts_8hpp.html#a75e7bf913eb2009732091592cacf2f94" title=" " alt="" coords="1411,1208,1547,1235"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a36265cf4692fcc20b3f825cfa3a9250a" title=" " alt="" coords="1153,1056,1332,1083"/>
<area shape="rect" href="create_compu_methods_8hpp.html#aafd99697405004efe0b96d53547791d5" title=" " alt="" coords="1160,1107,1325,1133"/>
<area shape="rect" href="create_interface_variables_8hpp.html#a58ada5d29f5277d893e7c34d77b04688" title=" " alt="" coords="1152,1157,1333,1184"/>
<area shape="rect" href="create_system_consts_8hpp.html#a5bb7ea22049580df89596ee335e73ece" title=" " alt="" coords="1168,1208,1317,1235"/>
</map>
</div>

</div>
</div>
<a id="a32365e377c80c8e22cf61b4f94ae1b02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32365e377c80c8e22cf61b4f94ae1b02">&#9670;&nbsp;</a></span>isNumber()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool isNumber </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>str</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp_a32365e377c80c8e22cf61b4f94ae1b02_icgraph.png" border="0" usemap="#postgres_interface_8hpp_a32365e377c80c8e22cf61b4f94ae1b02_icgraph" alt=""/></div>
<map name="postgres_interface_8hpp_a32365e377c80c8e22cf61b4f94ae1b02_icgraph" id="postgres_interface_8hpp_a32365e377c80c8e22cf61b4f94ae1b02_icgraph">
<area shape="rect" title=" " alt="" coords="516,5,601,32"/>
<area shape="rect" href="postgres_interface_8hpp.html#a0231ce735528de5cc4fbe68da76bfc33" title=" " alt="" coords="287,5,468,32"/>
<area shape="rect" href="get_function_decls_as_o_s_processes_8hpp.html#af93a1ddcec5d4ca2913cf173c0948310" title=" " alt="" coords="5,5,239,32"/>
</map>
</div>

</div>
</div>
<a id="a22bf88c65162eca678164da7ba7536d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22bf88c65162eca678164da7ba7536d6">&#9670;&nbsp;</a></span>updateOneArrayInDocument()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool updateOneArrayInDocument </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>dbName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>tableName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>columnName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>elementName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt;&#160;</td>
          <td class="paramname"><em>value_vec</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp_a22bf88c65162eca678164da7ba7536d6_icgraph.png" border="0" usemap="#postgres_interface_8hpp_a22bf88c65162eca678164da7ba7536d6_icgraph" alt=""/></div>
<map name="postgres_interface_8hpp_a22bf88c65162eca678164da7ba7536d6_icgraph" id="postgres_interface_8hpp_a22bf88c65162eca678164da7ba7536d6_icgraph">
<area shape="rect" title=" " alt="" coords="207,5,413,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a04ff0f05467fdbf12c44aee405f98832"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04ff0f05467fdbf12c44aee405f98832">&#9670;&nbsp;</a></span>updateOneInDocument()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool updateOneInDocument </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>dbName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>tableName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>columnName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>elementName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>compareValue</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="postgres_interface_8hpp_a04ff0f05467fdbf12c44aee405f98832_icgraph.png" border="0" usemap="#postgres_interface_8hpp_a04ff0f05467fdbf12c44aee405f98832_icgraph" alt=""/></div>
<map name="postgres_interface_8hpp_a04ff0f05467fdbf12c44aee405f98832_icgraph" id="postgres_interface_8hpp_a04ff0f05467fdbf12c44aee405f98832_icgraph">
<area shape="rect" title=" " alt="" coords="416,31,588,57"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a41eefa0f417a930ad5a27102a9575fef" title=" " alt="" coords="207,5,368,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,31,159,57"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,31,60,57"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ac88c2c0d8611af8462fbb3d73bc4dc5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac88c2c0d8611af8462fbb3d73bc4dc5e">&#9670;&nbsp;</a></span>glbUri</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string glbUri = &quot;postgresql://ThermBaseAlgebraic:thermo@db/&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="postgres_interface_8hpp.html">postgresInterface.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
